Nowe posty

xx Strona o testach penetracyjnych, hackingu (34)
Wczoraj o 11:40:38
xx Repozytorium z czcionkami M$ (2)
2022-05-24, 17:58:30
xx Pomoc w wyborze środowiska graficznego (11)
2022-05-23, 22:41:56
xx Usunąłem przez przypadek /bin co zrobić? (2)
2022-05-23, 21:36:24
xx Obrócony obraz lubuntu, xubuntu na lenovo Miix 320 (6)
2022-05-23, 11:56:25
xx Pierwsze kroki w Arch (9)
2022-05-22, 23:39:51
xx DBus (0)
2022-05-22, 12:47:35
xx Przedni panel (1)
2022-05-20, 01:34:35
xx Modem Medion S4222 jak zainstalować aplikację do jego obsługi? (52)
2022-05-18, 10:14:49
xx Nadawanie uprawnień przy kopiowaniu themes do katalogu (15)
2022-05-17, 21:18:16

Autor Wątek: Linux 64 bitowy  (Przeczytany 2497 razy)

anita

  • Gość
Linux 64 bitowy
« dnia: 2006-06-07, 12:53:59 »
Mam pewien problem z instalacją pakietu oprogramowania ze żródeł. Chciałam zazanaczyć ze dopiero od niedawna mam stycznosc z systemem jakim jest Linux. Dostałam pewien pakiet oprogramowania które moge tylko zainstalować pod linuxem (tzn istalacja ze żródeł. Polecenia wykonuje na konsoli. Najpierw wchodze do odpowiedniego katalogu- tam gdzie znajduje sie ow program a potem wykonuje:
> ./configure

> make

> make install
 
> make clean

Pojawiają sie następujące błędy po wykonaniu następujących instrukcji:
> make  
make[1]: *** [fft.o] Błąd 1
make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
make:*** [all] Błąd 2
 
> make install
make[1]: *** [fft.o] Błąd 1
make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
make:*** [install] Błąd 2


 Wiec pytam jak to mam rozumeć? Pomocy:)

Maciek_Rutecki

  • Gość
Linux 64 bitowy
« Odpowiedź #1 dnia: 2006-06-07, 15:01:36 »
2006-06-07 12:53:59 anita napisał:

> Mam pewien problem z instalacją pakietu oprogramowania ze żródeł. Chciałam zazanaczyć ze dopiero
 > od niedawna mam stycznosc z systemem jakim jest Linux. Dostałam pewien pakiet oprogramowania
 > które moge tylko zainstalować pod linuxem (tzn istalacja ze żródeł. Polecenia wykonuje na
 > konsoli. Najpierw wchodze do odpowiedniego katalogu- tam gdzie znajduje sie ow program a potem
 > wykonuje:
 > > ./configure
 >
 > > make
 >
 > > make install
 >  
 > > make clean
 >
 > Pojawiają sie następujące błędy po wykonaniu następujących instrukcji:
 > > make  
 > make[1]: *** [fft.o] Błąd 1
 > make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
 > make:*** [all] Błąd 2
 >  
 > > make install
 > make[1]: *** [fft.o] Błąd 1
 > make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
 > make:*** [install] Błąd 2
 >
 >
 >  Wiec pytam jak to mam rozumeć? Pomocy:)
 >  
 >

Pokaż parę linijek ciut wcześniej.

--
Maciek

  • Gość
Linux 64 bitowy
« Odpowiedź #2 dnia: 2006-06-07, 16:19:42 »
2006-06-07 12:53:59 anita napisał:

> Mam pewien problem z instalacją pakietu oprogramowania ze żródeł. Chciałam zazanaczyć ze dopiero
 > od niedawna mam stycznosc z systemem jakim jest Linux. Dostałam pewien pakiet oprogramowania
 > które moge tylko zainstalować pod linuxem (tzn istalacja ze żródeł. Polecenia wykonuje na
 > konsoli. Najpierw wchodze do odpowiedniego katalogu- tam gdzie znajduje sie ow program a potem
 > wykonuje:
 > > ./configure
 >
 > > make
 >
 > > make install
 >  
 > > make clean
 >
 > Pojawiają sie następujące błędy po wykonaniu następujących instrukcji:
 > > make  
 > make[1]: *** [fft.o] Błąd 1
 > make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
 > make:*** [all] Błąd 2
 >  
 > > make install
 > make[1]: *** [fft.o] Błąd 1
 > make[1]: Leaving directory \\'/home/anita/refu/AH++Devel/LIBAHPP\\'
 > make:*** [install] Błąd 2
 >
 >
 >  Wiec pytam jak to mam rozumeć? Pomocy:)
 >  
 >

A koniecznie musisz ze źródeł ? Nie znajdziesz paczek dla swojej dystrybucji?
Jeśli już, to po rozpakowaniu w powstałym katalogu zazwyczaj znajdziesz plik  testowy \\"install\\". Warto go przeczytać zanim zabierzesz się za instalację.
Te komunikaty to trochę mało, wynika z nich tylko że make i make install zakończyło sie błędem :)
Wklej parę wcześniejszych linijek, to będzie widać co się działo.

de_laurent

  • Gość
Linux 64 bitowy
« Odpowiedź #3 dnia: 2006-06-07, 16:28:48 »
Czesc!

Jakbys mogla napisac cos wiecej? Np. co to za program? Jakiego masz linuksa? Mysle tez ze powinnas zapytac osobe od ktorej dostalas ten program lub autora o inne wymagane programy lub bibiloteki.

Tak, jak juz kolega napisal, pokaz troche wiecej \\"tekstu\\" z procesu kompilacji (tego po make). Mozesz rowniez sprawdzic w katalogu tego programu czy nie mam pliku README, czytaj, INSTALL lub jakiegos podobnego... Tam zazwyczaj bywa opisany proces instalacji i to co jest do niego potrzebne.

Czy poroces konfiguracji przebiegl pomyslnie? Tzn.  czy dostalas jakies bledy po ./configure? Jezeli nie bedzie strasznie dlugi, to mozesz go tez tutaj wkleic...

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2056
    • Zobacz profil
Linux 64 bitowy
« Odpowiedź #4 dnia: 2007-04-06, 01:18:04 »
Witam!

Tym razem i ja mam problem:) Przewaznie mialem problemy z kompilacja, choc zdarzylo sie, ze pare programow zainstalowalem poprzez kompilacje zrodel, dlatego zostawilem ten proces w spokoju i staralem sie instalowac programy z pakietow, jednak ten program, ktory chce zainstalowac niestety jest dostepny tylko jako paczka ze zrodlami i zmuszony jestem kompilowac:) Szukalem wszedzie pakietow pod swoja dystrybucje, ale niestety nie ma!

Po krotkim wstepie czas na konkrety:) Moja dystrybucja to Linux Mandriva 2007 Free, kernel 2.6.17-5mdv, natomiast program, ktory chcialbym zainstalowac to Rosegarden, czyli taki linuksowy odpowiednik Cubase. Na windowsie korzystalem z Fruity Loops 7 Demo oraz cool edit i to mnie jeszcze trzyma przy windowsie, poniewaz LMMS, pomimo, ze jest alternatywa FL Studio, to jeszcze duzo mu brakuje do profesjonalnego tworzenia muzyki, ale poki co sie nim zadowalam na linuksie od czasu do czasu korzystajac z FL na windowsie:)

Moj problem jest taki, ze po wykonaniu polecenia make wyskakuja bledy make i nie mam pojecia o co w ogole chodzi. Przeszukalem google, ktore mnie glownie tu kierowalo, przeszukalem inne fora i dokladnie szperalem na tym forum az trafilem na ten watek, do ktorego dopisuje swoj problem, aby nie zasmiecac forum nowymi watkami:)

Oto co mi mowi konsola podczas kompilacji:


9.9
[roobal@localhost rosegarden-4-0.9.9]$ ./configure
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking whether g++ supports -Wundef... yes
checking whether g++ supports -Wno-long-long... yes
checking whether g++ supports -Wnon-virtual-dtor... yes
checking whether g++ supports -fno-exceptions... yes
checking whether g++ supports -fno-check-new... yes
checking whether g++ supports -fexceptions... yes
checking how to run the C++ preprocessor... g++ -E
checking whether g++ supports -frepo... yes
not using lib directory suffix
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking for a sed that does not truncate output...
checking whether ln -s works... yes
checking how to recognise dependant libraries... pass_all
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ranlib... ranlib
checking for strip... strip
checking if gcc static flag  works... no
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag \\"CXX\\" to libtool
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... no
checking if g++ supports -c -o file.o... no
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
appending configuration tag \\"GCJ\\" to libtool
checking if gcj supports -fno-rtti -fno-exceptions... (cached) no
checking for gcj option to produce PIC... -fPIC
checking if gcj PIC flag -fPIC works... no
checking if gcj supports -c -o file.o... no
checking whether the gcj linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for main in -lutil... yes
checking for main in -lcompat... no
checking for crypt in -lcrypt... yes
checking for socklen_t... socklen_t
checking for dnet_ntoa in -ldnet... no
checking for dnet_ntoa in -ldnet_stub... no
checking for inet_ntoa... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking crt_externs.h usability... no
checking crt_externs.h presence... no
checking for crt_externs.h... no
checking for _NSGetEnviron... no
checking for sys/types.h... (cached) yes
checking for stdint.h... (cached) yes
checking for poll in -lpoll... no
checking CoreAudio/CoreAudio.h usability... no
checking CoreAudio/CoreAudio.h presence... no
checking for CoreAudio/CoreAudio.h... no
checking for res_init... yes
checking if res_init needs custom prototype... no
checking for killpg in -lucb... no
checking for int... yes
checking size of int... 4
checking for long... yes
checking size of long... 4
checking for char *... yes
checking size of char *... 4
checking for char... yes
checking size of char... 1
checking for dlopen in -ldl... yes
checking for shl_unload in -ldld... no
checking for vsnprintf... yes
checking for snprintf... yes
checking for X... libraries /usr/lib, headers .
checking for IceConnectionNumber in -lICE... yes
checking for libXext... yes
checking for Xinerama... no
checking for pthread_create in -lpthread... yes
checking for extra includes... no
checking for extra libs... no
checking for libz... -lz
checking for libpng... -lpng -lz -lm
checking for libjpeg6b... no
checking for libjpeg... -ljpeg
checking for Qt... libraries /usr/lib/qt3//lib, headers /usr/lib/qt3//include using -mt
checking if Qt compiles without flags... no
checking for moc... /usr/lib/qt3//bin/moc
checking for uic... /usr/lib/qt3//bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... libraries /usr/lib, headers /usr/include
checking for KDE paths... defaults
checking for dcopidl... /usr/bin/dcopidl
checking for dcopidl2cpp... /usr/bin/dcopidl2cpp
checking for kde-config... /usr/bin/kde-config
checking for meinproc... /usr/bin/meinproc
checking for libtiff tiff... no
checking for libtiff tiff34... no
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for ANSI C header files... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for unistd.h... (cached) yes
checking for stdlib.h... (cached) yes
checking paths.h usability... yes
checking paths.h presence... yes
checking for paths.h... yes
checking for usleep... yes
checking for pkg-config... /usr/bin/pkg-config
checking for xft >= 2.1.0... yes
checking XFT_CFLAGS... -I/usr/include/freetype2
checking XFT_LIBS... -lXft -lXrender -lfontconfig -lfreetype -lz -lX11
checking for ALSA CFLAGS...
checking for ALSA LDFLAGS...  -lasound -lm -ldl -lpthread
checking for libasound headers version >= 0.9.0... found.
checking for snd_ctl_open in -lasound... yes
checking for jack >= 0.77.0... yes
checking JACK_CFLAGS...
checking JACK_LIBS... -ljack
checking for shm_open in -lrt... yes
checking for liblo >= 0.5... checking for liblo >= 0.7... checking ladspa.h usability... no
checking ladspa.h presence... no
checking for ladspa.h... no
checking lrdf.h usability... no
checking lrdf.h presence... no
checking for lrdf.h... no
checking for mad_bit_length in -lmad... yes


Installation Summary
--------------------

Install Directory             : /usr/

Xft notation font support     : yes
ALSA MIDI support             : yes
JACK audio support            : yes
LADSPA plugin support         : no
DSSI synth plugin support     : no
Custom OSC plugin GUI support : no
LRDF plugin metadata support  : no


* Rosegarden supports LADSPA audio plugins if available.  See
http://www.ladspa.org/ for more information about LADSPA.  To
build LADSPA support into Rosegarden, you need to make sure
you have ladspa.h available on your system.

* Rosegarden supports DSSI soft synth plugins if available.  See
http://dssi.sf.net/ for more information about DSSI.  To
build DSSI support into Rosegarden, you need to make sure
you have dssi.h available on your system.

* Rosegarden supports custom GUIs for DSSI soft synth plugins using
the Open Sound Control protocol, if the Lite OSC library liblo is
available.  Go to http://www.plugin.org.uk/liblo/ to obtain liblo
and http://dssi.sf.net/ for more information about DSSI GUIs.

* Rosegarden supports the LRDF metadata format for classification
of LADSPA and DSSI plugins.  This will improve the usability of
plugin selection dialogs.  You can obtain LRDF from
http://www.plugin.org.uk/lrdf/.

checking if base should be compiled... yes
checking if gui should be compiled... yes
checking if po should be compiled... yes
checking if sequencer should be compiled... yes
checking if sound should be compiled... yes
configure: creating ./config.status
fast creating Makefile
fast creating base/Makefile
fast creating gui/Makefile
fast creating gui/docs/Makefile
fast creating gui/docs/de/Makefile
fast creating gui/docs/en/Makefile
fast creating po/Makefile
fast creating sequencer/Makefile
fast creating sound/Makefile
config.status: creating config.h
config.status: executing depfiles commands

Good - your configure finished. Start make now

[roobal@localhost rosegarden-4-0.9.9]$ make
make  all-recursive
make[1]: Wejście do katalogu `/home/roobal/Desktop/rosegarden-4-0.9.9/rosegarden-4-0.9.9\\'
Making all in base
make[2]: Wejście do katalogu `/home/roobal/Desktop/rosegarden-4-0.9.9/rosegarden-4-0.9.9/base\\'
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT AnalysisTypes.lo -MD -MP -MF \\".deps/AnalysisTypes.Tpo\\"
          -c -o AnalysisTypes.lo `test -f \\'AnalysisTypes.C\\' || echo \\'./\\'`AnalysisTypes.C;
        then mv -f \\".deps/AnalysisTypes.Tpo\\" \\".deps/AnalysisTypes.Plo\\";
        else rm -f \\".deps/AnalysisTypes.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
Segment.h:659: warning: ‘class Rosegarden::SegmentObserver’ has virtual functions but non-virtual destructor
Composition.h:941: warning: ‘class Rosegarden::CompositionObserver’ has virtual functions but non-virtual destructor
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT AudioDevice.lo -MD -MP -MF \\".deps/AudioDevice.Tpo\\"
          -c -o AudioDevice.lo `test -f \\'AudioDevice.C\\' || echo \\'./\\'`AudioDevice.C;
        then mv -f \\".deps/AudioDevice.Tpo\\" \\".deps/AudioDevice.Plo\\";
        else rm -f \\".deps/AudioDevice.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT AudioLevel.lo -MD -MP -MF \\".deps/AudioLevel.Tpo\\"
          -c -o AudioLevel.lo `test -f \\'AudioLevel.C\\' || echo \\'./\\'`AudioLevel.C;
        then mv -f \\".deps/AudioLevel.Tpo\\" \\".deps/AudioLevel.Plo\\";
        else rm -f \\".deps/AudioLevel.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
AudioLevel.C: In static member function ‘static int Rosegarden::AudioLevel::multiplier_to_fader(float, int, Rosegarden::AudioLevel::FaderType)’:
AudioLevel.C:206: warning: converting to ‘int’ from ‘float’
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT AudioPluginInstance.lo -MD -MP -MF \\".deps/AudioPluginInstance.Tpo\\"
          -c -o AudioPluginInstance.lo `test -f \\'AudioPluginInstance.C\\' || echo \\'./\\'`AudioPluginInstance.C;
        then mv -f \\".deps/AudioPluginInstance.Tpo\\" \\".deps/AudioPluginInstance.Plo\\";
        else rm -f \\".deps/AudioPluginInstance.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT BaseProperties.lo -MD -MP -MF \\".deps/BaseProperties.Tpo\\"
          -c -o BaseProperties.lo `test -f \\'BaseProperties.C\\' || echo \\'./\\'`BaseProperties.C;
        then mv -f \\".deps/BaseProperties.Tpo\\" \\".deps/BaseProperties.Plo\\";
        else rm -f \\".deps/BaseProperties.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT Clipboard.lo -MD -MP -MF \\".deps/Clipboard.Tpo\\"
          -c -o Clipboard.lo `test -f \\'Clipboard.C\\' || echo \\'./\\'`Clipboard.C;
        then mv -f \\".deps/Clipboard.Tpo\\" \\".deps/Clipboard.Plo\\";
        else rm -f \\".deps/Clipboard.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
Segment.h:659: warning: ‘class Rosegarden::SegmentObserver’ has virtual functions but non-virtual destructor
if /bin/sh ../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3//include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -DRGKDE3 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -fno-gcse -fexceptions -MT Colour.lo -MD -MP -MF \\".deps/Colour.Tpo\\"
          -c -o Colour.lo `test -f \\'Colour.C\\' || echo \\'./\\'`Colour.C;
        then mv -f \\".deps/Colour.Tpo\\" \\".deps/Colour.Plo\\";
        else rm -f \\".deps/Colour.Tpo\\"; exit 1;
        fi
cc1plus: warning: command line option \\"-Wmissing-prototypes\\" is valid for Ada/C/ObjC but not for C++
Colour.C:166: error: explicit qualification in declaration of ‘Rosegarden::Colour Rosegarden::getCombinationColour(const Rosegarden::Colour&, const Rosegarden::Colour&)’
make[2]: *** [Colour.lo] Błąd 1
make[2]: Opuszczenie katalogu `/home/roobal/Desktop/rosegarden-4-0.9.9/rosegarden-4-0.9.9/base\\'
make[1]: *** [all-recursive] Błąd 1
make[1]: Opuszczenie katalogu `/home/roobal/Desktop/rosegarden-4-0.9.9/rosegarden-4-0.9.9\\'
make: *** [all] Błąd 2
[roobal@localhost rosegarden-4-0.9.9]$  

Program ten wydaje mi sie bardzo ciekawy i w miare profesjonalny i mam nadzieje, ze dobrze mi sie wydaje. Bylbym wdzieczny, gdyby ktos pomogl mi rozwiazac ten prblem. Moze w koncu moglbym sie calkowicie uwolnic od windowsa i w 100% uzywac tylko pingwinka:) Dodam, ze podczas kompilacji innych programow, przynajmniej wiekszosci, tez wyskakuja takie bledy. Kiedys tego nie mialem i wiekszosc sie ladnie kompilowala i dlatego nie mam pojecia co sie stalo. Chyba, ze ktos jest w posiadaniu RPMow pod moja dystrybucje, bylbym bardzo wdzieczny, gdybys ktos udostepnil takowe:D

Pozdrawiam!

opioom

  • Gość
Linux 64 bitowy
« Odpowiedź #5 dnia: 2007-04-06, 14:02:26 »
A na http://rpm.pbone.net to kolega zajrzał. Jak wół jest tam rpm pod twoje distro...Trzeba tylko wklepać nazwę paczki której szukasz i zaznaczyć  odpowiednie distro.
Pzdr.

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2056
    • Zobacz profil
Linux 64 bitowy
« Odpowiedź #6 dnia: 2007-04-06, 14:21:57 »
2007-04-06 14:02:26 opioom napisał:

> A na http://rpm.pbone.net to kolega zajrzał. Jak wół jest tam rpm pod twoje distro...Trzeba
 > tylko wklepać nazwę paczki której szukasz i zaznaczyć  odpowiednie distro.
 > Pzdr.

Tak na tej stronie rowniez szukalem i nie znalazlem wczesniej! Poza tym nie wiem dlaczego, ale od pewnego czasu nie moge nic z tej strony sciagnac. Gdy sciagam przez Firefoxa to wyskakiwal komunikat: \\"425 Failed establish connection\\", gdy probuje sciagac przez KGet wyskakuje blad, ze nie moze sie polaczyc z serwerem. Nie wiem co sie moglo stac, kiedys mi sie elegancko sciagalo z tej strony!

Dzieki za podpowiedz!

Pozdrawiam!

Bees

  • Gość
Linux 64 bitowy
« Odpowiedź #7 dnia: 2007-04-06, 14:40:59 »
2007-04-06 01:18:04 roobal napisał:

> Witam!
 >
 > Tym razem i ja mam problem:) Przewaznie mialem problemy z kompilacja, choc zdarzylo sie, ze
 > pare programow zainstalowalem poprzez kompilacje zrodel, dlatego zostawilem ten proces w spokoju
 > i staralem sie instalowac programy z pakietow, jednak ten program, ktory chce zainstalowac
 > niestety jest dostepny tylko jako paczka ze zrodlami i zmuszony jestem kompilowac:) Szukalem
 > wszedzie pakietow pod swoja dystrybucje, ale niestety nie ma!
 >
 Dlaczego upierasz sie przy tej wersji ? Oto paczka :
http://rpm.pbone.net/index.php3/stat/4/idpl/3564196/com/rosegarden4-1.2.3-1mdk.i586.rpm.html

istnieje tez w repozytoriach i mozna zainstalowac przez urpmi.
Dodam ze kiedyś na tej dystrybucji działał ten program bez wiekszych zgrzytow.



Drus

  • Gość
Linux 64 bitowy
« Odpowiedź #8 dnia: 2006-06-07, 11:26:24 »
Chciałbym się dowiedzieć który linux wspiera platformę 64 bitową
(najlepiej procesory dwurdzeniowe AMD), i grafikę SLI i najchętniej z polską lokalizacją. Aurox niestety nie wspiera procesorów 64 bitowych a chcialbym  wykorzystać wpełni możliwośći mojego komputera.

dzordz

  • Gość
Linux 64 bitowy
« Odpowiedź #9 dnia: 2006-06-07, 11:51:45 »
2006-06-07 11:26:24 Drus napisał:

> Chciałbym się dowiedzieć który linux wspiera platformę 64 bitową
 > (najlepiej procesory dwurdzeniowe AMD), i grafikę SLI i najchętniej z polską lokalizacją. Aurox
 > niestety nie wspiera procesorów 64 bitowych a chcialbym  wykorzystać wpełni możliwośći mojego
 > komputera.

tu pewnie bedzie duzo róznych odpowiedzi
napisze z mojego doswiadczenia mam athlona 64bit
smigam na mandrivie oficiall 2006 na procesor 32 bity
niedawno wgrałem 2 dystrybucje na 64 bitowe procesory suse 10.1i  mandrive 2006i byłem lekko zdziwiony ze pc nic szybciej nie smiga , miałem problemy równiez z fashem macromedia ( pewnie do rozwiazania ) mój stary skaner tez za bardzo nie chciał ruszyc wiec co dzordzus zrobił wrócił do platform 32 bitowych .I za chiny ludowe sie nie przesiąde :):):):)a suse to nawet neta nie odpaliłem .
podumowywując
gdybym miał wiecej czasu to bym 64bitowe dystrybucje pomeczył ,moze jesnieną
pozdr
dzordz

chmooreck

  • Gość
Linux 64 bitowy
« Odpowiedź #10 dnia: 2006-06-07, 13:00:10 »
gentoo amd64

chodzi... z tym, ze openoffice'a i firefox'a mam w wersjach 32 bitowych (ze wzgledu na to, ze oo nie ma jeszcze na 64, a pod firefoxem chce miec flash'a - adobe tez sie jeszcze nie postaral o wersje 64-bitowa ;-) )

jesli bedziesz chcial odtwarzac filmy za pomoca kodekow windowsowych, to rowniez mozna zainstalowac mplayera w wersji 32 bity...

wszystko, czego potrzeba jest w portage...